Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class TransitionImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.foundation.TransitionImpl

public class TransitionImpl
extends BelongingImpl
implements Transition

A named transition from one com.beasys.commerce.foundation.State state to another state. The name is generally considered to represent an event. This class is used by the Businsess Smart Workflow generator.

See Also:
  `Transition`, `TransitionHome`, Serialized Form

Field Summary
`State` | `endState` The targeted state for this transition.
`java.lang.String` | `name` The event that triggers this transition.
`State` | `startState` The begining state for this transition.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TransitionImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`State` | `getEndState()` Get the value of endState
`java.lang.String` | `getName()` Get the value of name
`State` | `getStartState()` Get the value of startState
`java.lang.String` | `interfaceName()`
`void` | `setByValue(Belonging value)`
`void` | `setEndState(State endState)` Set the value of endState
`void` | `setName(java.lang.String name)` Set the value of name
`void` | `setStartState(State startState)` Set the value of startState
`Belonging` | `value()`

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### startState

    public State startState

  The begining state for this transition.

                        startState
       [Transition] <*>------> [com.beasys.commerce.foundation.State]

### endState

    public State endState

  The targeted state for this transition.

                        endState
       [Transition] <*>------> [com.beasys.commerce.foundation.State]

### name

    public java.lang.String name

  The event that triggers this transition.

                        name
       [Transition] <*>------> [java.lang.String]

Constructor Detail

### TransitionImpl

    public TransitionImpl()

Method Detail

### getStartState

    public State getStartState()

  Get the value of startState
  Specified by:
    getStartState in interface Transition

  Returns:
    startState.

### setStartState

    public void setStartState(State startState)

  Set the value of startState
  Specified by:
    setStartState in interface Transition

  Parameters:
    `startState` - startState to be added

### getEndState

    public State getEndState()

  Get the value of endState
  Specified by:
    getEndState in interface Transition

  Returns:
    endState.

### setEndState

    public void setEndState(State endState)

  Set the value of endState
  Specified by:
    setEndState in interface Transition

  Parameters:
    `endState` - endState to be added

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface Transition

  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface Transition

  Parameters:
    `name` - name to be added

### value

    public Belonging value()

### interfaceName

    public java.lang.String interfaceName()

### setByValue

    public void setByValue(Belonging value)

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved